コンテンツにスキップ
ShopentlyLearn

割り当て順を変更

フィルターなしのページ全体を希望する順序で送信します。バージョンが古い場合は409を返します。

POST/api/v1/inventory/products/{product_id}/digital-units/reorder

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/inventory/products/example/digital-units/reorder \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: 8e721db4-9367-576b-8727-c99c91ff825c' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_order_version":1,"unit_ids":["00000000-0000-4000-8000-000000000008","00000000-0000-4000-8000-000000000003"]}'

レスポンス

{
  "data": {
    "deleted": false,
    "id": "00000000-0000-4000-8000-000000000001",
    "version": 2
  },
  "meta": {
    "request_id": "example-request"
  }
}

必要な権限

利用可能な最低プラン
STANDARD
キーの権限
利用可能なコードとファイルを管理inventory.digital_unit:write